%define upstream_name    Test-Corpus-Audio-MPD
%define upstream_version 1.120990

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automate launching of fake mdp for testing purposes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module will try to launch a new mpd server for testing purposes. This
mpd server will then be used during the POE::Component::Client::MPD manpage
or the Audio::MPD manpage tests.

In order to achieve this, the module will create a fake _mpd.conf_ file
with the correct pathes (ie, where you untarred the module tarball). It
will then check if some mpd server is already running, and stop it if the
'MPD_TEST_OVERRIDE' environment variable is true (die otherwise). Last it
will run the test mpd with its newly created configuration file.

Everything described above is done automatically when the module is
'use'-d.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.120.990-2.mga3
+ Revision: 373448
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.120.990-1.mga3
+ Revision: 255508
- update to 1.120990

* Thu Nov 24 2011 jquelin <jquelin> 1.113.282-1.mga2
+ Revision: 171647
- update to 1.113282

* Wed Jun 15 2011 jquelin <jquelin> 1.111.260-1.mga2
+ Revision: 107459
- update to 1.111260

* Sun Mar 13 2011 jquelin <jquelin> 1.110.710-1.mga1
+ Revision: 70494
- update to 1.110710

* Wed Mar 02 2011 jquelin <jquelin> 1.110.600-1.mga1
+ Revision: 62558
- update to 1.110600

* Sat Jan 22 2011 jquelin <jquelin> 1.100.500-1.mga1
+ Revision: 32426
- mageia rebuild
- imported package perl-Test-Corpus-Audio-MPD

